## microb-engine 20100401-1.9.2-5.2+0m5+0cssu2

=== debian/changelog ===
microb-engine (1:20100401-1.9.2-5.2+0m5+0cssu2) unstable; urgency=low

  * For reading device name use file /proc/cpuinfo instead /proc/component_version

 -- Pali Rohár <pali.rohar@gmail.com>  Wed, 11 Jun 2014 14:56:49 +0200

microb-engine (1:20100401-1.9.2-5.2+0m5+0cssu1) unstable; urgency=low

  * Use system zlib and libpng

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Sun, 13 Jan 2013 20:36:11 +0200

microb-engine (1:20100401-1.9.2-5.2+0m5+0cssu0) unstable; urgency=low

  * Fixed #12564 - Daemon does not shut down properly when no connection and
    browser closed when connection dialog opens
  * Fixed #12555 - CVE-2010-1205

 -- Christian Ratzenhofer <christian_ratzenhofer@yahoo.de>  Fri, 24 Aug 2012 19:26:42 +0200

microb-engine (20100401-1.9.2-5.2+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    version has been changed to 20100401-1.9.2-5.2+0m5

 -- Tuukka Tolvanen <tuukka.tolvanen@nokia.com>  Wed, 02 Jun 2010 20:28:17 +0300

microb-engine (20100401-1.9.2-5.2) unstable; urgency=low

  * Updated changelog

 -- Tuukka Tolvanen <tuukka.tolvanen@nokia.com>  Wed, 02 Jun 2010 19:47:27 +0300

microb-engine (20100401-1.9.2-5.1) unstable; urgency=low

  * Merge from microb-engine up to 20100401-1.9.2-5. Excluded on
    relbranch: NB#158248, NB#156374

 -- Tuukka Tolvanen <tuukka.tolvanen@nokia.com>  Wed, 26 May 2010 19:19:45 +0300

microb-engine (20100401-1.9.2-5) unstable; urgency=low

  * Fixed NB#162142 - Browser render throughput using WLAN is under target

 -- Andrey Petrov <andrey.petrov@nokia.com>  Fri,  7 May 2010 08:54:13 +0300

microb-engine (20100401-1.9.2-4) unstable; urgency=low

  * Fixed NB#164676 - Don't (re)start nsIdleService timers if there are no
    listeners

 -- Andrey Petrov <andrey.petrov@nokia.com>  Mon, 19 Apr 2010 13:49:32 +0100

microb-engine (20100401-1.9.2-3) unstable; urgency=low

  * Fixed NB#162660 - too high access rate to /proc/meminfo

 -- Andrey Petrov <andrey.petrov@nokia.com>  Thu, 15 Apr 2010 14:47:07 +0300

microb-engine (20100401-1.9.2-2) unstable; urgency=low

  * Fixes for NB#162142 - Browser render throughput using WLAN is under target

 -- Andrey Petrov <andrey.petrov@nokia.com>  Wed, 14 Apr 2010 08:50:04 +0300

microb-engine (20100401-1.9.2-1) unstable; urgency=low

  * Fixes: NB#162980 - Sync up engine to last mozilla 1.9.2 branch

 -- Andrey Petrov <andrey.petrov@nokia.com>  Mon, 12 Apr 2010 16:02:12 +0300

microb-engine (20100115-1.9.2-27) unstable; urgency=low

  * Fixes: NB#162688 - browser components recompilation with G_DISABLE_CAST_CHECKS

 -- Andrey Petrov <andrey.petrov@nokia.com>  Mon, 12 Apr 2010 15:23:29 +0300

microb-engine (20100115-1.9.2-26) unstable; urgency=low

  * Fixed NB#163345 - CPU load at 100% and mem. usage steadily increasing
    after html5 pages

 -- Andrey Petrov <andrey.petrov@nokia.com>  Fri,  9 Apr 2010 08:13:55 +0100

microb-engine (20100115-1.9.2-25) unstable; urgency=low

  * Revert part of NB#141153. Fixed NB#161179 Download dialog doesn't
    update percentage

 -- Tuukka Tolvanen <tuukka.tolvanen@nokia.com>  Thu, 18 Mar 2010 18:20:48 +0200

microb-engine (20100115-1.9.2-24) unstable; urgency=low

  * Fixed NB#141153 - Device performance is slow while downloading large file

 -- Tuukka Tolvanen <tuukka.tolvanen@nokia.com>  Wed, 17 Mar 2010 16:34:28 +0200

microb-engine (20100115-1.9.2-23) unstable; urgency=low

  * Revert NB#151997 due to undesirable appearance in content (NB#155691,
    NB#155701)

 -- Tuukka Tolvanen <tuukka.tolvanen@nokia.com>  Tue, 16 Mar 2010 15:33:56 +0200

microb-engine (20100115-1.9.2-22) unstable; urgency=low

  * Fixed NB#160263 - Device gets unusable after browsing to
    www.tjareborg.fi due to enormous background image

 -- Andrey Petrov <andrey.petrov@nokia.com>  Tue, 16 Mar 2010 12:09:00 +0200

microb-engine (20100115-1.9.2-21) unstable; urgency=low

  * Fixed NB#157237 - §weba_nc_remember_credentials§ Unlocalised

 -- Andrey Petrov <andrey.petrov@nokia.com>  Mon, 08 Mar 2010 14:53:41 +0200

microb-engine (20100115-1.9.2-20) unstable; urgency=low

  * Fixed NB#158834 - Browser is always stuck when loading page with html5
    audio elements

 -- Andrey Petrov <andrey.petrov@nokia.com>  Thu, 04 Mar 2010 12:35:04 +0200

microb-engine (20100115-1.9.2-18) unstable; urgency=low

  * Fixed NB#157027: first page load on new connection initiated by
    browser usually fails

 -- Sudarsana Nagineni <sudarsana.nagineni@nokia.com>  Wed, 24 Feb 2010 14:49:07 +0200

microb-engine (20100115-1.9.2-17) unstable; urgency=low

  * Fixes for NB#157027: first page load on new connection initiated by browser usually fails

 -- Sudarsana Nagineni <sudarsana.nagineni@nokia.com>  Thu, 18 Feb 2010 14:03:42 +0200

microb-engine (20100115-1.9.2-16) unstable; urgency=low

  * Fixed NB#142104 Browserd causing a lot of wakeups on nettiauto.com

 -- Sudarsana Nagineni <sudarsana.nagineni@nokia.com>  Tue, 16 Feb 2010 14:24:19 +0200

microb-engine (20100115-1.9.2-15) unstable; urgency=low

  * Fixed NB#154896 - Disabled JIT 
 
 -- Sudarsana Nagineni <sudarsana.nagineni@nokia.com>  Tue, 16 Feb 2010 13:37:34 +0200

microb-engine (20100115-1.9.2-13) unstable; urgency=low

  * Fixed NB#154766 -  |Call| link is inactive

 -- Sudarsana Nagineni <sudarsana.nagineni@nokia.com>  Wed, 10 Feb 2010 13:00:44 +0200

microb-engine (20100115-1.9.2-12) unstable; urgency=low

  * Resurrect 040_netwerk_buffer_count.diff. Fixed NB#154971 large pages
    download slowdown

 -- Tuukka Tolvanen <tuukka.tolvanen@nokia.com>  Tue, 09 Feb 2010 17:38:47 +0200

microb-engine (20100115-1.9.2-11) unstable; urgency=low

  * Fixed NB#152998 - Rich text edit - Unable to move cursor using H/W
    keyboard right & left arrow key in gmail mail compose

 -- Sudarsana Nagineni <sudarsana.nagineni@nokia.com>  Thu, 04 Feb 2010 12:12:01 +0200

microb-engine (20100115-1.9.2-10) unstable; urgency=low

  * Fixed NB#139884 - pkg-config files for nss and nspr are broken
 

