## microb-engine 20100401-1.9.2-5.2+0m5+0cssu2+thumb0

=== debian/changelog ===
microb-engine (1:20100401-1.9.2-5.2+0m5+0cssu2+thumb0) unstable; urgency=low

  * Thumb2 compile

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Mon, 29 Dec 2014 13:03:13 +0200

microb-engine (1:20100401-1.9.2-5.2+0m5+0cssu1+thumb0) unstable; urgency=low

  * Thumb2 compile

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Mon, 14 Jan 2013 18:42:27 +0200

microb-engine (1:20100401-1.9.2-5.2+0m5+0cssu0-thumb0) unstable; urgency=low

  * Rebase on top of maemo.org sources
  * Fix versioning

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Mon, 03 Sep 2012 17:54:36 +0300

microb-engine (20100401-1.9.2-5.2+0m5+0cssu0-thumb0) unstable; urgency=low

  * use gcc 4.7.2 to fix HTTPS TLS error
  * Fix gcc 4.7.2 compatibility

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Thu, 26 Jul 2012 20:08:31 +0300

microb-engine (20100401-1.9.2-5.2+0m5-thumb0) unstable; urgency=low

  * Thumb-compile
  * Backport thumb patches from upstream

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Sun, 09 Jul 2012 00:34:11 +0300
