=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

tarballname = mozilla

configopts += $(ADD_OPTIONS)
optimize_add =
envflags =

static:=n
logging:=n
debug:=n
perfmetr:=n
jprof:=n
vfp:=y
oprof:=n
nolibxul:=n
MOZCONFIG_NAME:=configs/mozconfig
MOZCONFIG_LEV:=microb2
syscairo:=y
svgport:=n
canvas:=n
memleaks:=n
jemalloc:=y
mochitests:=n

DH_ALWAYS_EXCLUDE=CVS:.svn

btree = build-tree
tarballs = tarballs

TAR_CREATE_FLAGS = cvzf
MOZILLA_TEST_DIR = mozilla-tests
TEST_PACKAGE_DIR = $(CURDIR)/debian/tmp/usr/share/microb-moztests


export QUILT_PATCHES=$(CURDIR)/debian/patches
QUILT_PATCHES:=$(CURDIR)/debian/patches
STAMP_DIR:=$(CURDIR)/stampdir
STAMPDIR_LOG:=$(CURDIR)/stampdir/log
STAMPDIR_PATCH:=$(CURDIR)/stampdir/log/patch

CONFIG_DIR:=$(CURDIR)/debian/configs
APPENDICES_DIR:=$(CONFIG_DIR)/appendices

GCCVER=.gcc$(shell gcc --version | grep gcc | cut -d ' ' -f 3)

ifneq (,$(findstring parallel,$(DEB_BUILD_OPTIONS)))
    PARALLEL_JOBS := $(shell echo $(DEB_BUILD_OPTIONS) | \
        sed -e 's/.*parallel=\([0-9]\+\).*/\1/')
    ifeq ($(DEB_BUILD_OPTIONS),$(PARALLEL_JOBS))
        PARALLEL_JOBS := $(shell if [ -f /proc/cpuinfo ]; \
            then echo `cat /proc/cpuinfo | grep 'processor' | wc -l`; \
            else echo 1; fi)
        PARALLEL_JOBS := $(shell echo $(PARALLEL_JOBS)*2+1 | bc)
    endif
    NJOBS:=-j$(PARALLEL_JOBS)
endif

ifneq (,$(findstring CodeSourcery,$(shell gcc --version)))
GCCENV:=.cs
export CSGCC=1
	optimize_add += -DCSGCC=1
else
export CSGCC=0
endif

ifneq (,$(findstring sbox,$(shell gcc --version)))
TABLET:=.tablet
endif

prefix=/usr

srcdir = $(tarballname)
builddir = $(btree)/mozilla

bldstr:=

buildobjdir = "$(CURDIR)/$(btree)/obj-@CONFIG_GUESS@"

# Here can be defined autogen.sh, Ex: PRE_CONF_SCRIPT = ./autogen.sh &&
PRE_CONF_SCRIPT = autoconf &&

DEB_HOST_ARCH          ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_ARCH_OS       ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
DEB_HOST_GNU_TYPE      ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

CFLAGS += -g -mthumb -mfpu=neon -mcpu=cortex-a8 -fgraphite -ftree-vectorize -Wno-psabi -fpermissive
LDFLAGS += -mthumb -mfpu=neon -mcpu=cortex-a8 -fgraphite -ftree-vectorize

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

ifneq (,$(findstring static,$(DEB_BUILD_OPTIONS)))
static:=y
else
static:=$(static)
endif

ifneq (,$(findstring jprof,$(DEB_BUILD_OPTIONS)))
jprof:=y
else
jprof:=$(jprof)
endif

ifneq (,$(findstring oprof,$(DEB_BUILD_OPTIONS)))
oprof:=y
else
oprof:=$(oprof)
endif

ifneq (,$(findstring syscairo,$(DEB_BUILD_OPTIONS)))
syscairo:=y
else
syscairo:=$(syscairo)
endif

ifneq (,$(findstring nosyscairo,$(DEB_BUILD_OPTIONS)))
syscairo:=n
else
syscairo:=$(syscairo)
endif

ifneq (,$(findstring svgport,$(DEB_BUILD_OPTIONS)))
svgport:=y
else
svgport:=$(svgport)
endif

ifneq (,$(findstring canvas,$(DEB_BUILD_OPTIONS)))
canvas:=y
else
canvas:=$(canvas)
endif

ifneq (,$(findstring perfmetr,$(DEB_BUILD_OPTIONS)))
perfmetr:=y
else
perfmetr:=$(perfmetr)
endif

ifneq (,$(findstring ext,$(MEMBED_LEVEL)))
MOZCONFIG_LEV:=
MOZCONFIG_NAME:=$(EXT_MOZCONFIG)
endif

ifneq (,$(findstring config,$(DEB_BUILD_OPTIONS)))
	MOZCONFIG_LEV:= $(shell echo $(DEB_BUILD_OPTIONS) | sed -e 's/.*config=\([0-9a-zA-Z]\+\).*/\1/')
endif

ifneq (,$(findstring cairoqt,$(DEB_BUILD_OPTIONS)))
	APPENDICES+=cairoqt
endif

series_file:=series.$(MOZCONFIG_LEV)

ifneq (,$(findstring patches,$(DEB_BUILD_OPTIONS)))
	series_file:=series.$(shell echo $(DEB_BUILD_OPTIONS) | sed -e 's/.*patches=\([0-9a-zA-Z]\+\).*/\1/')
endif

ifneq (,$(findstring nolibxul,$(DEB_BUILD_OPTIONS)))
nolibxul:=y
else
nolibxul:=$(nolibxul)
endif

ifneq (,$(findstring nojemalloc,$(DEB_BUILD_OPTIONS)))
jemalloc:=n
else
jemalloc:=$(jemalloc)
endif

ifneq (,$(findstring withjemalloc,$(DEB_BUILD_OPTIONS)))
jemalloc:=y
else
jemalloc:=$(jemalloc)
endif

ifneq (,$(findstring cflagsopt,$(DEB_BUILD_OPTIONS)))
optimize_add = $(CFLAGS)
endif

ifneq (,$(findstring vfp,$(DEB_BUILD_OPTIONS)))
vfp:=n
else
vfp:=$(vfp)
endif

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
debug:=y
bldstr:=dbg-
else
debug:=$(debug)
CFLAGS += -DG_DISABLE_CAST_CHECKS
endif

ifneq (,$(findstring logging,$(DEB_BUILD_OPTIONS)))
logging:=y
bldstr:=$(bldstr)log-
else
logging:=$(logging)
endif

ifneq (,$(findstring memleaks,$(DEB_BUILD_OPTIONS)))
memleaks:=y
bldstr:=$(bldstr)lk-
else
memleaks:=$(memleaks)
endif

 
ifneq (,$(findstring mochitests,$(DEB_BUILD_OPTIONS)))
mochitests:=y
else
mochitests:=$(mochitests)
endif

ifeq ($(perfmetr),y)
	configopts += --enable-reflow-perf --enable-perf-metrics
endif

buildobjdir = "$(CURDIR)/$(btree)/obj-"$(bldstr)build$(MOZCONFIG_LEV)

configopts += --disable-elf-dynstr-gc
ifneq (,$(findstring $(DEB_HOST_ARCH),arm armel))
configopts += --with-arm-thumb2
optimize_add += -finline-functions -finline-limit=128 -mtp=cp15
ifeq ($(vfp),y)
	optimize_add += -mfpu=vfp -mfloat-abi=softfp
endif
configopts += --with-arm-kuser
	envflags += ac_cv_have_usable_wchar_option_v2="no"
else
ifneq ($(TABLET),.tablet)
endif
endif
bldstr:=$(bldstr)$(DEB_HOST_ARCH)-

ifeq ($(TABLET),.tablet)
bldstr:=$(bldstr)sb-
endif

	configopts += --disable-install-strip

ifneq ($(jemalloc),y)
	configopts += --disable-jemalloc
else
	configopts += --enable-jemalloc
endif

ifeq ($(debug),y)
#Hack for tablet compiler
ifeq ($(TABLET),.tablet)
ifeq ($(GCCENV),.cs)
	optimize_add += -O1
endif
endif
	configopts += --disable-strip --enable-debug --enable-debugger-info-modules
ifeq ($(nolibxul),n)
bldstr:=$(bldstr)nolibxul-
	configopts += --disable-libxul
else
ifneq (,$(findstring $(GCCENV),.cs))
ifneq (,$(findstring $(GCCVER),.gcc3.4.4))
ifeq ($(nolibxul),n)
bldstr:=$(bldstr)nolibxul-
	configopts += --disable-libxul
endif
endif
endif
endif
endif
ifeq ($(nolibxul),y)
bldstr:=$(bldstr)nolibxul-
	configopts += --disable-libxul
endif

ifeq ($(logging),y)
	configopts += --enable-logging  --enable-logrefcnt
else
	configopts += --disable-logging --disable-logrefcnt
endif

ifeq ($(memleaks),y)
	configopts += --enable-debug --enable-trace-malloc
endif

ifeq ($(mochitests),y)
	configopts += --enable-tests --enable-mochitest --enable-xremote 
else
	configopts += --disable-tests --disable-mochitest --disable-xremote 
endif

ifeq ($(GCCENV),.cs)
ifneq (,$(findstring $(DEB_HOST_ARCH),i386))
	optimize_add +=  -finline-functions -fno-unit-at-a-time
ifeq ($(nolibxul),y)
	optimize_add +=  -O1
endif
endif
ifeq ($(nolibxul),y)
	optimize_add +=  -finline-functions -fno-unit-at-a-time
endif
endif

ifeq ($(jprof),y)
	configopts += --disable-debug --enable-debugger-info-modules --disable-strip --enable-jprof
bldstr:=$(bldstr)jpr-
endif

ifneq (,$(findstring strip,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O2 -g0
	configopts += --enable-strip
bldstr:=$(bldstr)strip-
endif

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
bldstr:=$(bldstr)noopt-
endif

ifeq ($(oprof),y)
	optimize_add +=  -fno-omit-frame-pointer
bldstr:=$(bldstr)opr-
endif

ifeq ($(syscairo),y)
	configopts += --enable-system-cairo
bldstr:=$(bldstr)syscairo-
endif

ifeq ($(nojit),y)
	configopts += --disable-jit
bldstr:=$(bldstr)nojit-
endif

ifeq ($(canvas),y)
	configopts += --enable-canvas
endif

	configopts += --enable-optimize=\"$(CFLAGS) $(optimize_add) \"

# shared library versions, option 1
version=$(shell dpkg-parsechangelog | grep ^Version:.* | cut -d ' ' -f 2 | cut -d ':' -f 2 | cut -d '-' -f 1,2)
packagename=$(shell dpkg-parsechangelog | grep ^Source:.* | cut -d ' ' -f 2)
PKGVERSION      := $(shell dpkg-parsechangelog | grep ^Version:.* | cut -d ' ' -f 2)
MOZ_VERSION=3.6
MOZ_MILESTONE=1.9.2

major=2

cross_compile:=n
CROSS_HOST_PREFIX=
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
	HBT_OPT = --build=$(DEB_HOST_GNU_TYPE)
XPT_LINK:=$(CURDIR)/debian/tmp/usr/lib/microb-engine/xpt_link
else
	HBT_OPT = --target=$(DEB_HOST_GNU_TYPE)
	CROSS_FLAGS =
cross_compile:=y
bldstr:=$(bldstr)cross-
