## microb-engine 20100401-1.9.2-5.2+0m5+0cssu3

=== debian/changelog ===
microb-engine (1:20100401-1.9.2-5.2+0m5+0cssu3) unstable; urgency=low

  * Add a workaround for an issue where Google Search can sometimes 
    return an unescaped & symbol

 -- Pali Rohár <pali.rohar@gmail.com>  Sat, 14 Oct 2017 21:40:53 -0400
