=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 debug:=n
 perfmetr:=n
 jprof:=n
-vfp:=y
+vfp:=n
 oprof:=n
 nolibxul:=n
 MOZCONFIG_NAME:=configs/mozconfig
@@ -87,8 +87,7 @@
 DEB_HOST_ARCH_OS       ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 DEB_HOST_GNU_TYPE      ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
-CFLAGS += -g -mthumb -mfpu=neon -mcpu=cortex-a8 -fgraphite -ftree-vectorize -Wno-psabi -fpermissive
-LDFLAGS += -mthumb -mfpu=neon -mcpu=cortex-a8 -fgraphite -ftree-vectorize
+CFLAGS += -g
 
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -O0
@@ -228,7 +227,7 @@
 
 configopts += --disable-elf-dynstr-gc
 ifneq (,$(findstring $(DEB_HOST_ARCH),arm armel))
-configopts += --with-arm-thumb2
+configopts += --without-arm-thumb2
 optimize_add += -finline-functions -finline-limit=128 -mtp=cp15
 ifeq ($(vfp),y)
 	optimize_add += -mfpu=vfp -mfloat-abi=softfp
@@ -364,3 +363,11 @@
 	CROSS_FLAGS =
 cross_compile:=y
 bldstr:=$(bldstr)cross-
+XPT_LINK:=$(CURDIR)/$(btree)/obj-$(bldstr)build$(MOZCONFIG_LEV)/dist/host/bin/host_xpt_link
+endif
+
+unpack: unpack-stamp
+unpack-stamp:
+	mkdir -p $(btree)
+	mkdir -p $(STAMPDIR_LOG)
+	#Small hack for old X11R6 directory
